System.memclean()

--colors

blue = Color.new(240, 240, 255,255)
purple = Color.new(138, 18, 255,255)

red = Color.new(255, 0, 0,255)

lightblue = Color.new(200, 255, 255,255)

black = Color.new(0, 0, 0,255)

deepred = Color.new(160,0,0,255)

grey = Color.new(0,112,128,144)
seagreen = Color.new(0,32,178,170)

green = Color.new(0,255,0,255)


dofile("DATA/animLib.lua")

System.setcpuspeed(333)


splash = Image.load("DATA/Images/splash.png")
anim = ANIM.new("a", "png", 6)
name = System.nickName()
open = Sound.load("DATA/sounds/open.wav")
spling = Sound.load("DATA/sounds/spling.wav")

bobombanimtimer = Timer.new()
bobombanimtimer:stop()


pad = Controls.read()


while true do

sorry = System.powerIsLowBattery()
 
if sorry then
System.message("Sorry,\n\nIt is unsafe to use this program with a low battery charge. Please plug in your charger or charge your battery to at least 33%.",0)
System.Quit()
end

if not sorry then

screen.startDraw()
	
screen.clear(0)

anim:blit(80, 35, 60)

screen.endDraw()

bobombanimt = bobombanimtimer:time()
bobombanimtimer:start()
if bobombanimt > 3200 then
screen.startDraw()
	
screen.clear(0)
Image.blit(0,0,splash)
Sound.play(open)

screen.endDraw()
screen.flipscreen()
System.sleep(600)
dofile("DATA/main.lua")
end

screen.flipscreen()
screen.waitVblankStart()
end

end



























































































